Package org.jacoco.report.internal.html.page

## Class GroupPage

- java.lang.Object
- - org.jacoco.report.internal.html.page.ReportPage
  - - org.jacoco.report.internal.html.page.NodePage<NodeType>
    - - org.jacoco.report.internal.html.page.TablePage<ICoverageNode>
      - - org.jacoco.report.internal.html.page.GroupPage

All Implemented Interfaces:
  `ILinkable`, `ITableItem`

    public class GroupPage
    extends TablePage<ICoverageNode>

Page showing coverage information for a node that groups other nodes. The page shows a table of linked nodes.

### Field Summary

### Fields inherited from class org.jacoco.report.internal.html.page.ReportPage

`context, folder`

### Constructor Summary

Constructors
`GroupPage​(ICoverageNode node, ReportPage parent, ReportOutputFolder folder, IHTMLReportContext context)` Creates a new visitor in the given context.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `getFileName()` Specifies the local file name of this page.
`protected java.lang.String` `getOnload()` Returns the onload handler for this page.

### Methods inherited from class org.jacoco.report.internal.html.page.TablePage

`addItem, content, head`

### Methods inherited from class org.jacoco.report.internal.html.page.NodePage

`getLinkLabel, getLinkStyle, getNode`

### Methods inherited from class org.jacoco.report.internal.html.page.ReportPage

`getLink, infoLinks, isRootPage, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jacoco.report.internal.html.ILinkable

`getLink`

### Constructor Detail

#### GroupPage

    public GroupPage​(ICoverageNode node,
                     ReportPage parent,
                     ReportOutputFolder folder,
                     IHTMLReportContext context)

Creates a new visitor in the given context.

Parameters:
  `node` - corresponding coverage data
  `parent` - optional hierarchical parent
  `folder` - base folder to create this page in
  `context` - settings context

### Method Detail

#### getOnload

    protected java.lang.String getOnload()

Description copied from class: `ReportPage`
Returns the onload handler for this page.

Overrides:
  `getOnload` in class `ReportPage`
Returns:
  handler or `null`

#### getFileName

    protected java.lang.String getFileName()

Description copied from class: `ReportPage`
Specifies the local file name of this page.

Specified by:
  `getFileName` in class `ReportPage`
Returns:
  local file name